// Imports
@use "variables" as var;

// Variables
$content-max-width: 720px;
$default-margin-top: 32px;

// Actual Styling
section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-bottom: thin solid var(--border-default-grey);

  &:last-child {
    border-bottom: none;
    padding-bottom: var.$default-padding;

    @media (min-width: var.$breakpoint-desktop) {
      padding-bottom: 0;
    }
  }

  @media (min-width: var.$breakpoint-desktop) {
    flex-direction: row;

    &.reverse-order {
      flex-direction: row-reverse;

      .presentation {
        padding-left: 200px;
      }
    }
  }

  &#appPresentation {
    background-color: #0a8473;
    padding: 24px 0 80px;

    @media (min-width: var.$breakpoint-desktop) {
      padding: 0;
    }

    .presentation {
      @media (min-width: var.$breakpoint-desktop) {
        padding: 0 0 0 180px;
      }

      h1,
      .description {
        text-align: center;
        color: var(--text-inverted-grey);

        @media (min-width: var.$breakpoint-desktop) {
          text-align: left;
        }
      }

      .description {
        max-width: 540px;
      }
    }
  }

  &.presentation-video {
    padding: 32px 16px;
    background: var(--background-alt-grey);

    h3,
    p {
      color: var(--light-text-default-grey);
    }

    .video-container {
      position: relative;
      padding-top: 56.25%;
      width: 100%;
      max-width: 900px;

      iframe {
        position: absolute;
        inset: 0;
      }
    }

    p {
      font-weight: bold;
      margin: 32px 0;
      text-align: center;
    }

    img {
      max-width: 200px;
    }

    @media (min-width: var.$breakpoint-desktop) {
      flex-direction: column;
      padding: 64px 0;

      .video-container {
        padding-top: 506px;
      }

      img {
        max-width: none;
      }
    }
  }

  .illustration {
    width: 100%;
    max-width: $content-max-width;

    @media (min-width: var.$breakpoint-desktop) {
      width: 50%;
    }
  }

  .presentation {
    max-width: $content-max-width;

    @media (min-width: var.$breakpoint-desktop) {
      width: 50%;
      padding: var.$default-padding 0;
    }

    h2 {
      color: var(--text-title-grey);
    }

    .description {
      max-width: 520px;
      margin-top: $default-margin-top;
    }

    .go-to-link {
      display: inline-flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      font-size: 18px;
      font-weight: 500;
      line-height: 28px;
      min-height: 2.5rem;
      padding: 10px 1rem;
      width: calc(100% - (2 * #{var.$default-margin}));
      box-shadow: inset 0 0 0 1px var(--border-action-high-blue-france);
      background: none;
      color: var(--text-action-high-blue-france);
      margin-top: 8px;

      @media (min-width: var.$breakpoint-desktop) {
        width: fit-content;
      }

      &:after {
        content: none;
      }
    }

    h1,
    h2,
    .description,
    .go-to-link {
      margin-left: var.$default-margin;
      margin-right: var.$default-margin;

      @media (min-width: var.$breakpoint-desktop) {
        margin-left: 0;
        margin-right: 0;
      }
    }

    .links-container {
      padding: 24px 32px;
      margin-top: $default-margin-top;
      background: var(--background-alt-grey);

      @media (min-width: var.$breakpoint-desktop) {
        max-width: 618px;
        margin-top: $default-margin-top * 2;
      }

      p {
        font-weight: bold;
        margin-bottom: var.$default-margin;

        @media (min-width: var.$breakpoint-desktop) {
          color: black;
        }
      }

      ul {
        padding: 0;
        margin: 0;
        display: flex;
        flex-direction: column;
        list-style-type: none;

        @media (min-width: var.$breakpoint-desktop) {
          flex-direction: row;
        }

        li {
          margin-right: var.$default-margin;
          margin-bottom: var.$default-margin;

          &:last-child {
            margin-bottom: 0;
          }

          @media (min-width: var.$breakpoint-desktop) {
            flex-direction: row;
            margin-bottom: 0;
          }
        }
      }
    }
  }
}
